Edit an organization
const url = 'https://gitea.example.com/api/v1/orgs/example';const options = { method: 'PATCH', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"description":"example","email":"example","full_name":"example","location":"example","repo_admin_change_team_access":true,"visibility":"public","website":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://gitea.example.com/api/v1/orgs/example \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "email": "example", "full_name": "example", "location": "example", "repo_admin_change_team_access": true, "visibility": "public", "website": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Name of the organization to edit
Request Body
Section titled “Request Body”EditOrgOption options for editing an organization
object
The description of the organization
The email address of the organization; use empty string to clear
The full display name of the organization
The location of the organization
Whether repository administrators can change team access
Possible values are public, limited or private
The website URL of the organization
Responses
Section titled “Responses”Organization
Organization represents an organization
object
The URL of the organization’s avatar
The description of the organization
The email address of the organization
The full display name of the organization
The unique identifier of the organization
The location of the organization
The name of the organization
Whether repository administrators can change team access
Username of the organization deprecated
The visibility level of the organization (public, limited, private)
The website URL of the organization
Examplegenerated
{ "avatar_url": "example", "description": "example", "email": "example", "full_name": "example", "id": 1, "location": "example", "name": "example", "repo_admin_change_team_access": true, "username": "example", "visibility": "example", "website": "example"}APINotFound is a not found empty response